Loading...
Searching...
No Matches
restinio::easy_parser::impl::is_appropriate_transformer_result_type< Result_Type > Struct Template Reference

A metafunction that checks is Result_Type can be used as the result of transformation method. More...

`#include <easy_parser.hpp>`

## Static Public Attributes

static constexpr bool | value = true

## Detailed Description

template<typename Result_Type>
struct restinio::easy_parser::impl::is_appropriate_transformer_result_type< Result_Type >

A metafunction that checks is Result_Type can be used as the result of transformation method.

A transformation method can return a value of type T or a value of type expected_t<T, error_reason_t>. But a user can define transformation method that returns an expected_t<T, parse_error_t> just by a mistake. That mistake should be detected.

Metafunction is_appropriate_transformer_result_type serves that purpose: it defines value to `true` if transformation method returns T or expected_t<T, error_reason_t>. In the case of expected_t<T, parse_error_t> value will be set to `false.

Since
  v.0.6.11

Definition at line 1110 of file easy_parser.hpp.

## Member Data Documentation

## value

template<typename Result_Type >

constexpr bool restinio::easy_parser::impl::is_appropriate_transformer_result_type< Result_Type >::value = true

static constexpr

Definition at line 1112 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp